Solved: ERROR: Could not find a valid gem ‘sass’ (>= 0), here is why: Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

ERROR:  Could not find a valid gem ‘sass’ (>= 0), here is why:          

Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

While I was trying to install sass on my local computer, I got an unusual error. A simple command would usually work for installing sass after I installed Ruby

C:\Ruby23-x64\bin>gem install sass

But this command returned the following SSL error this time:

C:\Ruby23-x64\bin>gem install sass

 

ERROR:  Could not find a valid gem ‘sass’ (>= 0), here is why:

 

Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

After going through several solutions, which didn’t work for me, I typed a simple command, just for fun

C:\Ruby23-x64\bin>gem

which returned

Ruby Gem Help
Ruby Gem Help

 

I found the url

http://guides.rubygems.org

Then I thought of a nepali quotation “दियो मुनि अधेरो” [Read as: Diyo muni adhero] which means, “Darkness under the lamp”. The case was the same.

 

Instead of finding solution in the official site for support, I was looking elsewhere, around the world for the help.

 

As I logged in to the website, http://guides.rubygems.org, I got a link

SSL Certificate Update

SSL Certificate Update
SSL Certificate Update

Here, I got my solution. As per the suggestion I followed the following steps

After you download Ruby Gems Update through the above link, place it to a directory you can easily locate, preferably in the root directory C:\ drive, and then open command prompt, then type the following command

C:\>gem install –local C:\rubygems-update-2.6.7.gem

 

C:\>update_rubygems –no-ri –no-rdoc

 

SSL Certificate Update for Ruby Gems
SSL Certificate Update for Ruby Gems
After the installation of update is complete type the same command again
C:\Ruby23-x64\bin>gem install sass

 

 

Install Ruby Gem after SSL Certificate Update
Install Ruby Gem after SSL Certificate Update

And, here’s it, you successfully installed SASS despite SSL certificate issue

 

This is How you may solve your error

ERROR:  Could not find a valid gem ‘sass’ (>= 0), here is why:

 

Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

Thank You

 

Keep subscribing our blog and we’ll be releasing more useful tips and tricks for you.

2 Replies to “Solved: ERROR: Could not find a valid gem ‘sass’ (>= 0), here is why: Unable to download data from https://rubygems.org/ – SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)”

Leave a Reply

Your email address will not be published. Required fields are marked *